<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1text__box.html">text_box</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::text_box Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1text__box.html#a8375041ba4c8734e3b42208813a25efd">adjust_total_rect</a>()</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>background_color</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>bg_color_</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>bottom</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>cursor_pos</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>cursor_rect</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>cursor_visible</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>disable</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>disable_events</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>disable_mouse_drag</b>() (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>display_rect</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>draw</b>(const canvas &amp;c) const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>drawable</b>(drawable_window &amp;w, unsigned long events_=0) (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>enable</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>enable_events</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>enable_mouse_drag</b>() (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>enabled</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>enter_key_handler</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>events_are_enabled</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>focus_lost_handler</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_rect</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1text__box.html#aecaac4664d2107851f7033c07b737d53">get_text_rect</a>() const</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>has_focus</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>height</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>hidden</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hide</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>highlight_end</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>highlight_start</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>horizontal_mouse_wheel_scroll_increment</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>horizontal_scroll_increment</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>horizontal_scroll_pos</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_enabled</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_hidden</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>lastx</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>lasty</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>left</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>m</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>main_font</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mfont</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mouse_drag_enabled</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1text__box.html#af513b95534e50f10bacf46d1834b65a8">move_cursor</a>(unsigned long pos)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>next_free_user_event_number</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_copy</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_cut</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_delete_selected</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_focus_gained</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_focus_lost</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_keydown</b>(unsigned long key, bool is_printable, unsigned long state) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_down</b>(unsigned long btn, unsigned long state, long x, long y, bool is_double_click) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_enter</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_leave</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_mouse_move</b>(unsigned long state, long x, long y) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_mouse_up</b>(unsigned long btn, unsigned long state, long x, long y) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_no_text_selected</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_paste</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_select_all</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_string_put</b>(const std::wstring &amp;str) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_text_is_selected</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_user_event</b>(int num) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_view_changed</b>() (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_wheel_down</b>(unsigned long state) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_wheel_up</b>(unsigned long state) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>on_window_moved</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_window_resized</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(text_box &amp;) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>parent</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>parent_window</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>parent_window</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>recent_movement</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>rect</b> (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>right</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>right_click_menu</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>scroll_to_rect</b>(const rectangle &amp;r_) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html#ac5fe5c09246373d5135195b857de0a32">scrollable_region</a>(drawable_window &amp;w, unsigned long events=0)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_background_color</b>(const rgb_pixel color) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_enter_key_handler</b>(T &amp;object, void(T::*event_handler)()) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_enter_key_handler</b>(const any_function&lt; void()&gt; &amp;event_handler) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_focus_lost_handler</b>(T &amp;object, void(T::*event_handler)()) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_focus_lost_handler</b>(const any_function&lt; void()&gt; &amp;event_handler) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_horizontal_mouse_wheel_scroll_increment</b>(unsigned long inc) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_horizontal_scroll_increment</b>(unsigned long inc) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_horizontal_scroll_pos</b>(long pos) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_main_font</b>(const shared_ptr_thread_safe&lt; font &gt; &amp;f) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_pos</b>(long x, long y) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_size</b>(unsigned long width, unsigned long height) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_style</b>(const style_type &amp;style_) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_text</b>(const std::string &amp;text_) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_text</b>(const std::wstring &amp;text_) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_text</b>(const dlib::ustring &amp;text_) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_text_color</b>(const rgb_pixel color) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_text_modified_handler</b>(T &amp;object, void(T::*event_handler)()) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_text_modified_handler</b>(const any_function&lt; void()&gt; &amp;event_handler) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_total_rect_size</b>(unsigned long width, unsigned long height) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_vertical_mouse_wheel_scroll_increment</b>(unsigned long inc) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_vertical_scroll_increment</b>(unsigned long inc) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_vertical_scroll_pos</b>(long pos) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_z_order</b>(long order) (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>shift_pos</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>show</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>style</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>t</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>text</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1text__box.html#ac2fb647b3c536b7f87c76133764114dc">text_</a></td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1text__box.html#a5f13ee52a6261a557b7c6471d6ffef1f">text_box</a>(drawable_window &amp;w)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>text_box</b>(text_box &amp;) (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>text_color</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>text_color_</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>text_modified_handler</b> (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>timer_action</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>top</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>total_rect</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>utext</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>vertical_mouse_wheel_scroll_increment</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>vertical_scroll_increment</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>vertical_scroll_pos</b>() const (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>width</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>wtext</b>() const (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>z_order</b>() const (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~drawable</b>() (defined in <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a>)</td><td class="entry"><a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~scrollable_region</b>()=0 (defined in <a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a>)</td><td class="entry"><a class="el" href="classdlib_1_1scrollable__region.html">dlib::scrollable_region</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~text_box</b>() (defined in <a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a>)</td><td class="entry"><a class="el" href="classdlib_1_1text__box.html">dlib::text_box</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
